# ``twisted`.`mail`.`imap4`.`Command``

class documentation

`class Command: (source)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `finish` | Undocumented
Method | `format` | Undocumented
Instance Variable | `args` | Undocumented
Instance Variable | `command` | Undocumented
Instance Variable | `continuation` | Undocumented
Instance Variable | `defer` | Undocumented
Instance Variable | `lines` | Undocumented
Instance Variable | `wantResponse` | Undocumented
Constant | `_1_RESPONSES` | Undocumented
Constant | `_2_RESPONSES` | Undocumented
Constant | `_OK_RESPONSES` | Undocumented

def __init__(self, command, args=None, wantResponse=(), continuation=None, *contArgs, **contKw): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def finish(self, lastLine, unusedCallback): (source)

Undocumented

def format(self, tag): (source)

Undocumented

args = (source)

Undocumented

command = (source)

Undocumented

continuation = (source)

Undocumented

defer = (source)

Undocumented

lines: `list` = (source)

Undocumented

wantResponse = (source)

Undocumented

_1_RESPONSES: `tuple[bytes, ...]` = (source)

Undocumented

Value

    (b'CAPABILITY', b'FLAGS', b'LIST', b'LSUB', b'STATUS', b'SEARCH', b'NAMESPACE')

_2_RESPONSES: `tuple[bytes, ...]` = (source)

Undocumented

Value

    (b'EXISTS', b'EXPUNGE', b'FETCH', b'RECENT')

_OK_RESPONSES: `tuple[bytes, ...]` = (source)

Undocumented

Value

    (b'UIDVALIDITY',
     b'UNSEEN',
     b'READ-WRITE',
     b'READ-ONLY',
     b'UIDNEXT',
     b'PERMANENTFLAGS')